import UtilApi from "../../utils/js/UtilApi";
import NfHttp from "../http/index";
import sys_apis from "./modules/index";
import UtilEmpty from "../../utils/js/UtilEmpty";

export default class NfApis {
  constructor() {
    throw "NfApis不可实例化";
  };

  static init(apis, Vue) {
    if (UtilEmpty.obj(apis)) {
      apis = {};
    }
    let http = NfHttp.instance;
    if (!http) {
      throw "NfHttp未初始化！";
    }
    let allApis = Object.assign(sys_apis, apis);
    let keys = Object.getOwnPropertyNames(allApis);
    keys.forEach(key => {
      Vue.prototype[key] = allApis[key](http);
    });
    Vue.prototype.$api_method = function (apiUrl) {
      if (UtilEmpty.string(apiUrl)) {
        throw "NfApis:请求路径不能为空";
      }
      let interpretApi = UtilApi.interpretApi(apiUrl);
      let curApi = Vue.prototype[interpretApi.apiName];
      if (!curApi) {
        throw "NfApis:[" + interpretApi.apiName + "]未注册！";
      }
      let curMethod = curApi[interpretApi.apiMethod];
      if (!curMethod) {
        throw "NfApis:[" + interpretApi.apiName + "]中[" + interpretApi.apiMethod + "]方法未定义！";
      }
      return curMethod;
    }
  };
}
