import {CLIENT_INIT} from "../../../../utils/const/NfConst"
import UtilEmpty from "../../../../utils/js/UtilEmpty";

export default (httpInstance) => {
  return {
    imgCode() {
      if(UtilEmpty.obj(CLIENT_INIT.base_url) || UtilEmpty.string(CLIENT_INIT.base_url.imgCode)){
        throw "初始化验证码请求路径有误，请检查配置";
      }
      return httpInstance.post(CLIENT_INIT.base_url.imgCode);
    },
    login(params) {
      if(UtilEmpty.obj(CLIENT_INIT.base_url) || UtilEmpty.string(CLIENT_INIT.base_url.token)){
        throw "初始化登录请求路径有误，请检查配置";
      }
      return httpInstance.post(CLIENT_INIT.base_url.token, null, params);
    },
    userMenus(data) {
      if(UtilEmpty.obj(CLIENT_INIT.base_url) || UtilEmpty.string(CLIENT_INIT.base_url.userMenus)){
        throw "初始化菜单请求路径有误，请检查配置";
      }
      return httpInstance.post(CLIENT_INIT.base_url.userMenus, data);
    }
  }
}
