import UtilEmpty from "../../utils/js/UtilEmpty";
import UtilNotEmpty from "../../utils/js/UtilNotEmpty";
import {PERMISSION_KEY} from "../../utils/const/NfConst";

export default class NfPermission {
  constructor() {
    throw "NfPermission:请使用install安装后使用";
  }

  static install(Vue) {
    /**权限指令校验**/
    Vue.prototype.$nfPermit = function (code) {
      if (UtilEmpty.string(code)) {
        throw "nfPermit:绑定权限码不能为空";
      }
      let operationsPool = Vue.prototype.$nfStore.getters.perCodePool;
      if (UtilNotEmpty.obj(operationsPool)) {
        if (UtilNotEmpty.string(operationsPool[code])) {
          return true;
        }
      }
      return false;
    };
    /**权限指令**/
    Vue.directive('nfPermit', {
      inserted: function (el, binding) {
        if (UtilNotEmpty.obj(binding) && UtilNotEmpty.string(binding.value)) {
          if (!Vue.prototype.$nfPermit(binding.value)) {
            el.parentNode.removeChild(el);
          }
        }
      }
    });
    //右键菜单权限校验
    Vue.prototype.$nfPermitContextMenus = function (contextMenus) {
      let result = [];
      if (UtilNotEmpty.array(contextMenus)) {
        for (let i = 0; i < contextMenus.length; i++) {
          let menu = contextMenus[i];
          let code = menu[PERMISSION_KEY.code];
          if (UtilNotEmpty.string(code)) {
            if (Vue.prototype.$nfPermit(code) === true) {
              result.push(menu);
            }
          } else {
            result.push(menu);
          }
        }
      }
      if (UtilEmpty.array(result)) {
        result.push({label: "无操作权限", icon: "el-icon-lock"});
      }
      return result;
    };
  }
}
