import axios from 'axios'
import config from "./config";
import handler from "./handler"

export default class NfAxios {
  constructor() {
    throw "NfAxios为单例模式，请使用init或instance获取实例!"
  }

  static init(axiosCfg) {
    if (!this.instance) {
      if (!axiosCfg) {
        axiosCfg = config;
      }
      this.instance = axios.create(axiosCfg);
      // request拦截器
      this.instance.interceptors.request.use(handler.handlerRequest, handler.handlerRequestErrors);
      // response 拦截器
      this.instance.interceptors.response.use(handler.handlerResponse, handler.handlerResponseErrors);
    }
    return this.instance;
  }
}

