import Mock from "mockjs";
import UtilNotEmpty from "../../utils/js/UtilNotEmpty";
import UtilEmpty from "../../utils/js/UtilEmpty";

function response(preMock) {
  return function (options) {
    let response = Mock.mock(preMock);
    let resp = {
      "status": response.status ? response.status : "666",
      "code": response.code ? response.code : "6000",
      "message": response.message ? response.message : "成功",
      "vdata": response.result
    };
    console.info("Mock拦截请求：");
    console.info(options);
    console.info(resp);
    return resp;
  };
}

export default class NfMocks {
  constructor() {
    throw "NfMocks为单利模式，请使用init或instance获取实例！"
  }

  static init(baseUrl, mocks) {
    if (UtilEmpty.obj(this.mocks)) {
      if (UtilNotEmpty.obj(mocks)) {
        this.mocks = mocks;
        let pathObj = {};
        Object.getOwnPropertyNames(mocks).forEach(key => {
          let mockPre = mocks[key];
          if (UtilNotEmpty.string(mockPre.path)) {
            if (!pathObj.hasOwnProperty(mockPre.path)) {
              Mock.mock(baseUrl + mockPre.path, mockPre.method ? mockPre.method : 'post', response(mockPre));
            } else {
              console.warn("Mock数据path重复：" + JSON.stringify(mocks));
            }
          } else {
            throw new Error("Mock数据path未定义！")
          }
        });
      }
    }
  }
}
