import Vuex from 'vuex'
import login from './modules/login'
import menu from './modules/menu'
import tabs from './modules/tabs'
import {LOCAL_STORAGE_KEY} from "../../utils/const/NfConst"
import UtilLocalStorage from "../../utils/js/UtilLocalStorage";

export default class NfStore {
  constructor() {
    throw "VuexStore为单例模式请使用init或instance获取实例";
  }

  static init(modules) {
    if (!this.instance) {
      if (!modules) {
        modules = {};
      }
      modules.login = login;
      modules.menu = menu;
      modules.tabs = tabs;
      this.instance = new Vuex.Store({
        modules: modules,
      });
      UtilLocalStorage.setItemObj(LOCAL_STORAGE_KEY.VUEX_STORE_INIT, this.instance.state);
    }
    return this.instance;
  }
}
