import UtilTheme from '../../../utils/js/UtilTheme'

const state = {
  isCollapse: false,
  dataTheme: 'theme-default',
};

const mutations = {
  ['setCollapse'](state, isCollapse) {
    state.isCollapse = isCollapse;
  },
  ['setDataTheme'](state, theme) {
    state.dataTheme = theme;
    UtilTheme.changeTheme(theme);
  },
  ['reloadTheme'](state) {
    UtilTheme.changeTheme(state.dataTheme);
  },
};
const actions = {
  setCollapse(context, isCollapse) {
    context.commit('setCollapse', isCollapse);
  },
  setDataTheme(context, theme) {
    context.commit('setDataTheme', theme);
  },
  reloadTheme(context) {
    context.commit('reloadTheme');
  }
};
const getters = {
  isCollapse: state => {
    return state.isCollapse;
  },
  dataTheme: state => {
    return state.dataTheme;
  },
};

export default {
  state,
  mutations,
  actions,
  getters,
}
