export default class UtilCookie {
  /**Cookie的基本操作*/
  static getCookie(key) {
    if (!document.cookie) {
      return null;
    }
    let arr = document.cookie.match(new RegExp('(^| )' + key + '=([^;]*)(;|$)'));
    if (arr != null) {
      return decodeURIComponent(arr[2]);
    } else {
      return null;
    }
  }

  // 设置 Cookie
  static setCookie(key, value, days) {
    let appDN = "localhost";
    let exp = new Date();
    if (!days) {
      days = 3600 * 24;
    }
    exp.setDate(exp.getDate() + days);
    let host = window.location.host;
    let cookie = key + '=' + encodeURIComponent(value);
    if (host.indexOf(appDN) !== -1) {
      document.cookie = cookie + ';domain=' + appDN + ';path=/';
    } else {
      document.cookie = cookie + ';path=/';
    }
  }

  //删除某个cookie
  static delCookie(key) {
    let exp = new Date();
    exp.setTime(exp.getTime() - 1);
    let value = this.getCookie(key);
    if (value != null) {
      document.cookie = key + '=' + value + ';expires=' + exp.toGMTString()
    }
  }

  // 清空所有 Cookie
  static clearCookie() {
    let keys = document.cookie.match(/[^ =;]+(?=\=)/g);
    // console.log("keys=" + keys);
    let myDate = new Date();
    myDate.setTime(-1000);// 设置时间
    if (keys) {
      let host = window.location.host
      for (let i = keys.length; i--;) {
        // 跳过sidebarState
        if (keys[i] === 'sidebarState') {
          continue
        }
        let cookie = keys[i] + '=;expires=' + myDate.toGMTString()
        if (host.indexOf(this.appDN) !== -1) {
          document.cookie = cookie + ';domain=' + this.appDN + ';path=/'
          document.cookie = cookie + ';path=/'
        } else {
          document.cookie = cookie + ';path=/'
        }
      }
    }
  }
}
