import UtilEmpty from "./UtilEmpty";

export default class UtilExport {
  static exportMocks(mockFiles) {
    if (UtilEmpty.obj(mockFiles)) {
      throw new Error("mocks文件引入错误")
    }
    let mocks = {};
    mockFiles.keys().forEach(file => {
      let curMocks = mockFiles(file).default ? mockFiles(file).default : undefined;
      if (curMocks) {
        Object.getOwnPropertyNames(curMocks).forEach(key => {
          let mock = curMocks[key];
          if (!mocks.hasOwnProperty(key)) {
            mocks[key] = mock;
          } else {
            let randomKey = key + new Date().getMilliseconds();
            mocks[randomKey] = mock;
          }
        });
      }
    });
    return mocks;
  };

  static exportStores(storesFiles) {
    if (UtilEmpty.obj(storesFiles)) {
      throw new Error("stores文件引入错误");
    }
    let stores = {};
    let keys = storesFiles.keys();
    if (keys) {
      keys.map(filePathName => {
        let start = filePathName.lastIndexOf("/");
        let end = filePathName.lastIndexOf(".js");
        let fileName = filePathName.substring(start + 1, end);
        stores[fileName] = storesFiles(filePathName).default;
      });
    }
    return stores;
  };

  static exportTabs(tabsFiles) {
    if (UtilEmpty.obj(tabsFiles)) {
      throw new Error("Tabs文件引入错误");
    }
    let tabs = {};
    let keys = tabsFiles.keys();
    if (keys) {
      keys.forEach(filePathName => {
        let start = filePathName.lastIndexOf("/");
        let end = filePathName.lastIndexOf(".vue");
        let fileName = filePathName.substring(start + 1, end);
        tabs[fileName] = tabsFiles(filePathName).default;
      });
    }
    return tabs
  };
}
