import UtilEmpty from "./UtilEmpty";

export default class UtilLocalStorage {
  static getItemStr(key) {
    if (!window.localStorage) {
      throw "您的浏览器版本太低，请升级浏览器版本"
    }
    if (UtilEmpty.string(key)) {
      throw "getItem参数错误，请检查代码"
    }
    return window.localStorage.getItem(key);
  }

  static getItemObj(key) {
    let result = UtilLocalStorage.getItemStr(key);
    if (UtilEmpty.string(result)) {
      return undefined;
    }
    return JSON.parse(result);
  }

  static setItemStr(key, str) {
    if (!window.localStorage) {
      throw "您的浏览器版本太低，请升级浏览器版本"
    }
    if (UtilEmpty.string(key)) {
      throw "setItemStr,key参数错误，请检查代码"
    }
    window.localStorage.setItem(key, str);
  }

  static setItemObj(key, obj) {
    if (!window.localStorage) {
      throw "您的浏览器版本太低，请升级浏览器版本"
    }
    if (UtilEmpty.string(key)) {
      throw "setItemObj,key参数错误，请检查代码"
    }
    if (UtilEmpty.obj(obj)) {
      throw "setItemObj,obj参数错误，请检查代码"
    }
    window.localStorage.setItem(key, JSON.stringify(obj));
  }

  static removeItem(key) {
    if (!window.localStorage) {
      throw "您的浏览器版本太低，请升级浏览器版本"
    }
    if (UtilEmpty.string(key)) {
      throw "removeItem,key参数错误，请检查代码"
    }
    window.localStorage.removeItem(key);
  }

  static clear() {
    if (window.localStorage) {
      window.localStorage.clear();
    }
  }
}
