import UtilValidate from "./UtilValidate";

export default class UtilRuleValidate {
  static isEmail (rule, value, callback) {
    if (UtilValidate.isEmail(value)) {
      callback();
    } else {
      return callback(new Error('邮箱格式错误'));
    }
  };
  static isMobile (rule, value, callback) {
    if (UtilValidate.isMobile(value)) {
      callback();
    } else {
      return callback(new Error('手机号错误'));
    }
  };
  static isTelPhone (rule, value, callback) {
    if (UtilValidate.isTelPhone(value)) {
      callback();
    } else {
      return callback(new Error('座机电话错误'));
    }
  };
  static isMobileOrTelPhone (rule, value, callback) {
    if (UtilValidate.isMobileOrTelPhone(value)) {
      callback();
    } else {
      return callback(new Error('手机号或座机电话错误'));
    }
  };
  static isURL (rule, value, callback) {
    if (UtilValidate.isURL(value)) {
      callback();
    } else {
      return callback(new Error('请求地址不合法'));
    }
  };
  static isNumber (rule, value, callback) {
    if (UtilValidate.isNumber(value)) {
      callback();
    } else {
      return callback(new Error('不是数字'));
    }
  };
  static isBoolean (rule, value, callback) {
    if (UtilValidate.isBoolean(value)) {
      callback();
    } else {
      return callback(new Error('不是true或false'));
    }
  };
  static isDate (rule, value, callback) {
    if (UtilValidate.isDate(value)) {
      callback();
    } else {
      return callback(new Error('不是日期'));
    }
  };
  static isIDCard (rule, value, callback) {
    if (UtilValidate.isIDCard(value)) {
      callback();
    } else {
      return callback(new Error('身份证格式错误'));
    }
  };
  static isInt (rule, value, callback) {
    if (UtilValidate.isInt(value)) {
      callback();
    } else {
      return callback(new Error('不是整数'));
    }
  };
  static isDecimalZero2One (rule, value, callback) {
    if (UtilValidate.isDecimalZero2One(value)) {
      callback();
    } else {
      return callback(new Error('不是0-1之间的小数'));
    }
  };
  static isPort (rule, value, callback) {
    if (UtilValidate.isPort(value)) {
      callback();
    } else {
      return callback(new Error('不是合法端口号'));
    }
  };
  static isLowerCase (rule, value, callback) {
    if (UtilValidate.isLowerCase(value)) {
      callback();
    } else {
      return callback(new Error('不是小写字母'));
    }
  };
  static isUpperCase (rule, value, callback) {
    if (UtilValidate.isUpperCase(value)) {
      callback();
    } else {
      return callback(new Error('不是大写字母'));
    }
  };
  static isCase (rule, value, callback) {
    if (UtilValidate.isCase(value)) {
      callback();
    } else {
      return callback(new Error('不是大写或小写字母'));
    }
  };
  static isCaseOrNumber (rule, value, callback) {
    if (UtilValidate.isCaseOrNumber(value)) {
      callback();
    } else {
      return callback(new Error('不是字母或数字'));
    }
  }
}
